/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.BugStatisticsChartDao;
import net.northking.cctp.testbug.db.service.BugStatisticsChartService;
import net.northking.cctp.testbug.db.entity.BugStatisticsChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 状态统计
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-11-22 16:52:11  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugStatisticsChartServiceImpl")
public class BugStatisticsChartServiceImpl extends PaginationService<BugStatisticsChart> implements BugStatisticsChartService
{
private static final Logger logger = LoggerFactory.getLogger(BugStatisticsChartServiceImpl.class);

  private final BugStatisticsChartDao bugStatisticsChartDao;

  public BugStatisticsChartServiceImpl(BugStatisticsChartDao bugStatisticsChartDao) {this.bugStatisticsChartDao = bugStatisticsChartDao;}

  public BasicDao<BugStatisticsChart> getDao() {return bugStatisticsChartDao;}

  public BugStatisticsChart createEntity() { return new BugStatisticsChart();}

  @Override
  protected void beforeInsert(BugStatisticsChart record) {

  }

  @Override
  protected void beforeUpdate(BugStatisticsChart record) {

  }

  @Override
  public int deleteAll() {
    BugStatisticsChart b=new BugStatisticsChart();
    return this.bugStatisticsChartDao.deleteByExample(b);
  }


// ----      The End by Generator     ----//




}

